CREATE TABLE cso_doc_meta_info (
    CHECKSUM                 VARCHAR2(128) ,
    COLLECTION_ID            NUMBER        ,
    CRAWL_EVENT_ID           VARCHAR2(1024),
    CRAWL_RULE_INFO          VARCHAR2(2048),
    CREATION_TIME            TIMESTAMP(6)  ,
    CS_TYPE_ID               NUMBER            NOT NULL,
    DIRECT_IQXML             NUMBER        ,
    DISPLAY_URL              VARCHAR2(4000),
    DOC_ENCODING             VARCHAR2(128) ,
    DOC_ID                   NUMBER        ,
    DOC_LANGUAGE             VARCHAR2(128) ,
    DOC_LEVEL                NUMBER        ,
    DOC_SIZE_K               NUMBER        ,
    DOC_TYPE_ID              NUMBER        ,
    ETAG                     VARCHAR2(1020),
    FETCH_URL                VARCHAR2(4000)    NOT NULL,
    INDEXING_ALLOWED         NUMBER        ,
    IS_DELETED               NUMBER        ,
    LAST_MODIFIED_TIME       TIMESTAMP(6)  ,
    PARENT_ID                NUMBER        ,
    PREP_EVENT_ID            VARCHAR2(1024),
    RANKING                  NUMBER        ,
    RECENCY                  NUMBER        ,
    RELEVANCY                NUMBER        ,
    STARTPT_ID               NUMBER        ,
    STATUS_CODE              NUMBER        ,
    UUID                     VARCHAR2(256)     NOT NULL,
    VALID_END_TIME           TIMESTAMP(6)  ,
    VALID_START_TIME         TIMESTAMP(6)  ,
    VIRTUAL_COLLECTION_ID    NUMBER        ,
    VIRTUAL_DOC_ID           NUMBER        ,
    ORIGINAL_DATA_SIZE       NUMBER        ,
    CHECKSUM                 VARCHAR2(128) ,
    COLLECTION_ID            NUMBER        ,
    CRAWL_EVENT_ID           VARCHAR2(1024),
    CRAWL_RULE_INFO          VARCHAR2(2048),
    CREATION_TIME            TIMESTAMP(6)  ,
    CS_TYPE_ID               NUMBER            NOT NULL,
    DIRECT_IQXML             NUMBER        ,
    DISPLAY_URL              VARCHAR2(4000),
    DOC_ENCODING             VARCHAR2(128) ,
    DOC_ID                   NUMBER        ,
    DOC_LANGUAGE             VARCHAR2(128) ,
    DOC_LEVEL                NUMBER        ,
    DOC_SIZE_K               NUMBER        ,
    DOC_TYPE_ID              NUMBER        ,
    ETAG                     VARCHAR2(1020),
    FETCH_URL                VARCHAR2(4000)    NOT NULL,
    INDEXING_ALLOWED         NUMBER        ,
    IS_DELETED               NUMBER        ,
    LAST_MODIFIED_TIME       TIMESTAMP(6)  ,
    PARENT_ID                NUMBER        ,
    PREP_EVENT_ID            VARCHAR2(1024),
    RANKING                  NUMBER        ,
    RECENCY                  NUMBER        ,
    RELEVANCY                NUMBER        ,
    STARTPT_ID               NUMBER        ,
    STATUS_CODE              NUMBER        ,
    UUID                     VARCHAR2(256)     NOT NULL,
    VALID_END_TIME           TIMESTAMP(6)  ,
    VALID_START_TIME         TIMESTAMP(6)  ,
    VIRTUAL_COLLECTION_ID    NUMBER        ,
    VIRTUAL_DOC_ID           NUMBER        ,
    ORIGINAL_DATA_SIZE       NUMBER        ,
    CONSTRAINT pk_cso_doc_meta_info PRIMARY KEY (COLLECTION_ID, DOC_ID, COLLECTION_ID, DOC_ID)
);
